/*--------------------------------------------------------------------------------------------------
  Copyright (c) Microsoft Corporation. All rights reserved.
  --------------------------------------------------------------------------------------------------*/
var selectCompatHandler = function (e) {
  e.stopPropagation();
  e.preventDefault();
  var el = $(this);
  if (!el.attr('android-uid')) {
      var options = this.options;
      var uid = _.uniqueId('auid-');
      el.attr('android-uid', uid);
      androidSelectCompat.show(uid,
        _.map(options, function (o) { return o.label; }),
        options.selectedIndex);
  }
};

$(document).on('touchend', 'mobile-footer-filters-menu select', selectCompatHandler);
$(document).on('touchend', 'mobile-filters-menu select', selectCompatHandler);
$(document).on('touchend', '.ui-datepicker select', selectCompatHandler);