/*--------------------------------------------------------------------------------------------------
  Copyright (c) Microsoft Corporation. All rights reserved.
  --------------------------------------------------------------------------------------------------*/

  var nav;
  var currentScale = 1;
  var navHeight = 48;
  $(document).ready(function() {
      configureInput();

      window.addEventListener('touchmove', function(e) {
          setScale(e);
      }, { passive: true, capture: true });

      document.getElementsByClassName('fr-layout-pagesection')[0].addEventListener('scroll', function(e) {
          setPos();
      }, { passive: true, capture: true });

  window.addEventListener('touchend', function(e) {
      setTimeout(function() {
          setScale();
          }, 700);
      }, { passive: true, capture: true });
  });

  function setScale(e) {
      if (window.visualViewport.scale !== currentScale && nav) {
          currentScale = window.visualViewport.scale;
          nav.style["transform"] = "scale(" + (1 / currentScale) + ")";
      }
      setPos();
  }

  function configureInput() {
    $(".fr-toolbar-reportpage-textbox.fr-core-input").attr("type", "number");
  }

  function setPos() {
      if (!nav) {
          nav = document.getElementsByClassName('fr-toolbar')[0];
      }

      if (nav) {
          nav.style.top = (window.visualViewport.offsetTop - 1) + "px";
          nav.style.left = window.visualViewport.offsetLeft + "px";
      }
  }
