/* Copyright (c) Microsoft Corporation. All rights reserved. */
(function() {
    function getBounds(className) {
        var element = _.first(document.getElementsByClassName(className));
        return (element && _.merge({}, element.getBoundingClientRect())) || {};
    };
    return {
        'displayArea': getBounds('displayArea'),
        'sidePane': getBounds('sidePane'),
        'footerActionList': getBounds('footerActionList'),
    };
})();